## org.codehaus.groovy.runtime
Class TimeCategory

    java.lang.Object
      org.codehaus.groovy.runtime.TimeCategory

    public class TimeCategory

extends Object

Constructor Summary
`TimeCategory()`

Method Summary
`static Duration` `getDay(Integer self)`
`static Duration` `getDaylightSavingsOffset(BaseDuration self)`
`static Duration` `getDaylightSavingsOffset(Date self)`
`static Duration` `getDays(Integer self)`
`static TimeDuration` `getHour(Integer self)`
`static TimeDuration` `getHours(Integer self)`
`static TimeDuration` `getMillisecond(Integer self)`
`static TimeDuration` `getMilliseconds(Integer self)`
`static TimeDuration` `getMinute(Integer self)`
`static TimeDuration` `getMinutes(Integer self)`
`static DatumDependentDuration` `getMonth(Integer self)`
`static DatumDependentDuration` `getMonths(Integer self)`
`static Duration` `getRelativeDaylightSavingsOffset(Date self, Date other)`
`static TimeDuration` `getSecond(Integer self)`
`static TimeDuration` `getSeconds(Integer self)`
`static TimeZone` `getTimeZone(Date self)`
`static Duration` `getWeek(Integer self)`
`static Duration` `getWeeks(Integer self)`
`static DatumDependentDuration` `getYear(Integer self)`
`static DatumDependentDuration` `getYears(Integer self)`
`static Date` `minus(Date date, BaseDuration duration)`
`static TimeDuration` `minus(Date lhs, Date rhs)`
`static Date` `plus(Date date, BaseDuration duration)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TimeCategory

    public TimeCategory()

Method Detail

### plus

    public static Date plus(Date date,
                            BaseDuration duration)

### minus

    public static Date minus(Date date,
                             BaseDuration duration)

### getTimeZone

    public static TimeZone getTimeZone(Date self)

### getDaylightSavingsOffset

    public static Duration getDaylightSavingsOffset(Date self)

### getDaylightSavingsOffset

    public static Duration getDaylightSavingsOffset(BaseDuration self)

### getRelativeDaylightSavingsOffset

    public static Duration getRelativeDaylightSavingsOffset(Date self,
                                                            Date other)

### minus

    public static TimeDuration minus(Date lhs,
                                     Date rhs)

### getMonths

    public static DatumDependentDuration getMonths(Integer self)

### getMonth

    public static DatumDependentDuration getMonth(Integer self)

### getYears

    public static DatumDependentDuration getYears(Integer self)

### getYear

    public static DatumDependentDuration getYear(Integer self)

### getWeeks

    public static Duration getWeeks(Integer self)

### getWeek

    public static Duration getWeek(Integer self)

### getDays

    public static Duration getDays(Integer self)

### getDay

    public static Duration getDay(Integer self)

### getHours

    public static TimeDuration getHours(Integer self)

### getHour

    public static TimeDuration getHour(Integer self)

### getMinutes

    public static TimeDuration getMinutes(Integer self)

### getMinute

    public static TimeDuration getMinute(Integer self)

### getSeconds

    public static TimeDuration getSeconds(Integer self)

### getSecond

    public static TimeDuration getSecond(Integer self)

### getMilliseconds

    public static TimeDuration getMilliseconds(Integer self)

### getMillisecond

    public static TimeDuration getMillisecond(Integer self)

Copyright © 2003-2008 The Codehaus. All rights reserved.